=== debian/changelog ===
shadowvpn (0.1.7-1) unstable; urgency=low

  * Update configurations

 -- clowwindy <clowwindy42@gmail.com>  Sat, 08 Aug 2015 16:24:00 +0800

shadowvpn (0.1.6-1) unstable; urgency=low

  * Call setsid and ignore SIGHUP in daemon mode

 -- clowwindy <clowwindy42@gmail.com>  Sun, 25 Jan 2015 21:46:22 +0800

shadowvpn (0.1.5-1) unstable; urgency=low

  * Fix select: Invalid argument

 -- clowwindy <clowwindy42@gmail.com>  Mon, 08 Dec 2014 11:43:00 +0800

shadowvpn (0.1.4-1) unstable; urgency=low

  * Support connecting server with multiple local ports
  * Minor fixes to scripts

 -- clowwindy <clowwindy42@gmail.com>  Tue, 25 Nov 2014 10:41:00 +0800

shadowvpn (0.1.3-1) unstable; urgency=low

  * Initial release

 -- clowwindy <clowwindy42@gmail.com>  Thu, 18 Oct 2014 12:31:00 +0800
