=== debian/control ===
Source: shadowvpn
Section: net
Priority: extra
Maintainer: clowwindy <clowwindy42@gmail.com>
Build-Depends: debhelper (>= 8.0.0), autotools-dev, mime-support, gawk
Standards-Version: 3.9.3
Homepage: https://github.com/clowwindy/ShadowVPN
Vcs-Git: git://github.com/clowwindy/ShadowVPN.git
Vcs-Browser: https://github.com/clowwindy/ShadowVPN

Package: shadowvpn
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, iproute, iptables
Description: A fast, safe VPN based on libsodium
